function F = feature_ext(w1, w2, D)
% function feature_ext extract log variance features of the trial data by
%   spatial vectors w1 and w2.
%   D{i} = X is n-by-m:        n features, m samples

%P = orth([w1,w2]); % DON'T DO THIS
P = [w1,w2];

F = [];
for i = 1:length(D)
    X = D{i};
    XX = P'*X; %XX = P\X;
    V = var(XX')';
    f = log(V); %f = log(V/sum(V)); column normalized
    F = [F, f];
end
return

